apiVersion: nmstate.io/v1
kind: NodeNetworkConfigurationPolicy
metadata:
  name: eno2-bridge
spec:
  nodeSelector:
    kubernetes.io/hostname: slabnode2200.sprintlab704.tre.nsn-rdnet.net
  desiredState:
    interfaces:
    - name: ovs-br-sec
      description: |-
        A dedicated OVS bridge with eno2 as a port
        trunking all VLANs
      state: up
      type: ovs-bridge
      bridge:
        options:
          stp: true
        port:
        - name: eno2
        - name: br-sec-282
          vlan:
            mode: access
            tag: 282
    - name: br-sec-282
      description: IP enpoint of br-sec connected to VLAN 282
      type: ovs-interface
      state: up
      ipv4:
        enabled: true
        address:
        - ip : 10.92.113.14
          prefix-length: 20
    ovn:
      bridge-mappings:
      - bridge: ovs-br-sec
        localnet: localnet-br-sec
        state: present
    routes:
      config:
      - destination: 10.92.112.0/20
        metric: 150
        next-hop-address: 10.92.112.1
        next-hop-interface: br-sec-282
        table-id: 254